#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int scatdb_ag(float,float,int,float,float*,float*,float*,float*,float*,float*,float*,float*,int*);
int main(int argc, char **argv) {
	int i,nshape=12,iret,is_loaded=0;
	float t=263.00,f=10.65,dmax=200;
	float coabs=0,csca=0,cbsc=0,asym=0,re=0,alpha=0,arxz=0,aryz=0;

	if(argc<2 || !strcmp(argv[1],"--help") || !strcmp(argv[1],"-h")) {
		fprintf(stderr,"Usage: %s [-f freq(GHz)] [-t temp(K)] [-s shape#] [-d dmax(um)]\n",argv[0]);
		fprintf(stderr,"Output: cabs,csca,cbsc,g,re,alpha,ar_xy,ar_yz,iret\n");
		exit(0);
	}

	i=1;
	while (i<argc) {
	 if(!strcmp(argv[i],"-f")) {
	  i++;
	  sscanf(argv[i],"%f",&f);
	 }
	 else if(!strcmp(argv[i],"-t")) {
	  i++;
	  sscanf(argv[i],"%f",&t);
	 }
	 else if(!strcmp(argv[i],"-s")) {
	  i++;
	  sscanf(argv[i],"%d",&nshape);
	 }
	 else if(!strcmp(argv[i],"-d")) {
	  i++;
	  sscanf(argv[i],"%f",&dmax);
	 }
	i++;
	} 
	fprintf(stdout,"%f %f %d %f\n",f,t,nshape,dmax);
	
	iret=scatdb_ag(f,t,nshape,dmax,&coabs,&csca,&cbsc,&asym,&re,&alpha,&arxz,&aryz,&is_loaded);

	if((iret>9999) || (iret == 10)) {
	 fprintf(stderr,"Return Code: %d\n", iret);
	 exit(1);
	} 

	fprintf(stdout,"%e %e %e %f %f %f %f %f %d\n",coabs,csca,cbsc,asym,re,alpha,arxz,aryz,iret);
	return 0;
}	
